#include "VarSpeedServo.h"

VarSpeedServo servo1;//此处定义四个舵机
VarSpeedServo servo2;
VarSpeedServo servo3;
VarSpeedServo servo4;

int potpin1 = 0;//定义左摇杆水平方向输入A0端口
int potpin2 = 1;//定义左摇杆垂直方向输入A1端口
int potpin3 = 2;//定义右摇杆水平方向输入A2端口
int potpin4 = 3;//定义右摇杆垂直方向输入A3端口

int val1;
int val2;
int val3;
int val4;

static int s1 = 70;//定义底座舵机初始角度为70
static int s2 = 110;//定义小臂舵机初始角度为110
static int s3 = 100;//定义大臂舵机初始角度为100
static int s4 = 80;//定义爪子舵机初始角度为80
void setup()
{
  Serial.begin(9600);
  servo1.attach(11);
  servo2.attach(10);
  servo3.attach(9);
  servo4.attach(6);

  servo1.write(70);//dizuo
  servo2.write(110);//dabi
  servo3.write(100);//xiaobi
  servo4.write(80);//zhua   80-120

  Serial.begin(9600);
}
void loop()
{
  /////底座控制///////
  val1 = analogRead(potpin1);

  if (val1 < 100)
  {
    s1 = s1 - 1;
    if (s1 <= 10)
    {
      s1 = 10;
    }
    //Serial.println(s1);
    servo1.write(s1);

    delay(50);
  }
  if (val1 > 900)
  {
    // Serial.println(s1);
    s1 = s1 + 1;
    if (s1 >= 170)
    {
      s1 = 170;
    }
    servo1.write(s1);

    delay(50);
  }

  //////小臂舵机控制///////
  val2 = analogRead(potpin2);

  if (val2 > 900)
  {
    s2 = s2 - 1;
    if (s2 <= 10)
    {
      s2 = 10;
    }
    //Serial.println(s2);
    servo2.write(s2);

    delay(50);
  }
  if (val2 < 100)
  {
    // Serial.println(s1);
    s2 = s2 + 1;
    if (s2 >= 170)
    {
      s2 = 170;
    }
    servo2.write(s2);

    delay(50);
  }

  //////大臂舵机控制///////
  val3 = analogRead(potpin3);


  if (val3 < 100)
  {
    s3 = s3 - 1;
    if (s3 <= 10)
    {
      s3 = 10;
    }
    //Serial.println(s1);
    servo3.write(s3);

    delay(50);
  }
  if (val3 > 900)
  {
    // Serial.println(s1);
    s3 = s3 + 1;
    if (s3 >= 170)
    {
      s3 = 170;
    }
    servo3.write(s3); 

    delay(50);
  }

  //////爪舵机控制///////
  val4 = analogRead(potpin4);

  if (val4 < 100)
  {
    s4 = s4 - 1;
    if (s4 <= 80)
    {
      s4 = 80;
    }
    Serial.println(s4);
    servo4.write(s4);


    delay(50);
  }
  if (val4 > 900)
  {
    Serial.println(s4);
    s4 = s4 + 1;
    if (s4 >= 130)
    {
      s4 = 130;
    }
    servo4.write(s4);

    delay(50);
  }

}
















